com.google.cloud.dataflow.sdk.io

## Enum TextIO.CompressionType

- java.lang.Object
- - java.lang.Enum<TextIO.CompressionType>
  - - com.google.cloud.dataflow.sdk.io.TextIO.CompressionType

All Implemented Interfaces:
  Serializable, Comparable<TextIO.CompressionType>

Enclosing class:
  TextIO

    public static enum TextIO.CompressionType
    extends Enum<TextIO.CompressionType>

Possible text file compression types.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AUTO` Automatically determine the compression type based on filename extension.
`BZIP2` BZipped.
`GZIP` GZipped.
`UNCOMPRESSED` Uncompressed (i.e., may be split).

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `matches(String filename)` Determine if a given filename matches a compression type based on its extension.
`static TextIO.CompressionType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TextIO.CompressionType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### AUTO

    public static final TextIO.CompressionType AUTO

Automatically determine the compression type based on filename extension.

#### UNCOMPRESSED

    public static final TextIO.CompressionType UNCOMPRESSED

Uncompressed (i.e., may be split).

#### GZIP

    public static final TextIO.CompressionType GZIP

GZipped.

#### BZIP2

    public static final TextIO.CompressionType BZIP2

BZipped.

### Method Detail

#### values

    public static TextIO.CompressionType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TextIO.CompressionType c : TextIO.CompressionType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TextIO.CompressionType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### matches

    public boolean matches(String filename)

Determine if a given filename matches a compression type based on its extension.

Parameters:
  `filename` - the filename to match
Returns:
  true iff the filename ends with the compression type's known extension.